package com.steerinfo.baseinfo.meterbasematterinfo.mapper;

import com.steerinfo.baseinfo.meterbasematterinfo.model.MeterBaseMatterInfo;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseMatterInfoMapper extends IBaseMapper<MeterBaseMatterInfo, String> {
    String GetNewID();

    List<MeterBaseMatterInfo> selectcorrelation();

    List<MeterBaseMatterInfo> diffscorrelation();

    List<MeterBaseMatterInfo> timecorRelation();

    List<MeterBaseMatterInfo> selectForUpdate(Map<String, Object> parameters);

    List<MeterBaseMatterInfo> selectByParAndNum(Map<String, Object> parmas);

    List<MeterBaseMatterInfo> selectByMeterCode();

    List<MeterBaseMatterInfo> selectPrint();

    List<MeterBaseMatterInfo> listMeterCode(HashMap<String, Object> obj);

    //皮带秤物料查询
    String selectByMeterCodeForBelt(@Param("matterName") String matterName);
    //分配皮带秤类型
    int doUpdateBeltType(List<MeterBaseMatterInfo> list);

    List<MeterBaseMatterInfo> selectByParametersOrder(HashMap map);
}
